<?php

namespace App\Modules\Admin\Domain;

interface AdminRepository
{
    public function index(IdAdmin $id);
    public function find(string $action);
    public function insert(InsertAdmin $value);
    public function update(UpdateAdmin $value);
    public function delete(IdAdmin $id);
}
